import figma, { html } from '@figma/code-connect/html';
figma.connect('https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=11697-6356', {
    props: {
        expanded: figma.enum('🚫 Expanded sidebar', {
            True: true,
            False: false,
        }),
        isExpanded: figma.enum('is expanded', {
            False: false,
            True: true,
        }),
        state: figma.enum('State', {
            Default: 'default',
            Hovered: 'hovered',
        }),
    },
    example: () => html `<m-sidebar-expandable-item
        label="Section"
        menulabel="Section menu"
      ></m-sidebar-expandable-item>`,
});
